> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/lagerbereiche.md).

# Lagerbereiche

Assign and manage article storage areas in VARIO Cloud via API, including retrieval, creation, updates, deletion and warehouse-specific storage mappings.

Storage areas of articles.

## GET /erp/articles/{articleId}/storage-areas/{articleStorageAreaId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Lagerbereiche","description":"Storage areas of articles."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{articleId}/storage-areas/{articleStorageAreaId}":{"get":{"tags":["Lagerbereiche"],"operationId":"getArticleStorageArea","parameters":[{"name":"articleId","in":"path","description":"ID of Article","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"articleStorageAreaId","in":"path","description":"ID of Storage-Area","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleStorageArea"}}}}}}}},"components":{"schemas":{"erp-product-ArticleStorageArea":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"integer","format":"int64","description":"Article whose storage areas are returned here."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"storageAreaId":{"type":"integer","format":"int64","description":"In which storage the article is stored."},"storageAreaLabel":{"type":"string","description":"Storage area label.","readOnly":true}},"required":["articleId","storageAreaId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## PUT /erp/articles/{articleId}/storage-areas/{articleStorageAreaId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Lagerbereiche","description":"Storage areas of articles."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{articleId}/storage-areas/{articleStorageAreaId}":{"put":{"tags":["Lagerbereiche"],"operationId":"updateArticleStorageArea","parameters":[{"name":"articleId","in":"path","description":"ID of Article","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"articleStorageAreaId","in":"path","description":"ID of article-storage-area","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleStorageArea"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleStorageArea"}}}}}}}},"components":{"schemas":{"erp-product-ArticleStorageArea":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"integer","format":"int64","description":"Article whose storage areas are returned here."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"storageAreaId":{"type":"integer","format":"int64","description":"In which storage the article is stored."},"storageAreaLabel":{"type":"string","description":"Storage area label.","readOnly":true}},"required":["articleId","storageAreaId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## DELETE /erp/articles/{articleId}/storage-areas/{articleStorageAreaId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Lagerbereiche","description":"Storage areas of articles."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{articleId}/storage-areas/{articleStorageAreaId}":{"delete":{"tags":["Lagerbereiche"],"operationId":"deleteArticleStorageArea","parameters":[{"name":"articleId","in":"path","description":"ID of Article","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"articleStorageAreaId","in":"path","description":"ID of article-storage-area","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /erp/articles/{articleId}/storage-areas

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Lagerbereiche","description":"Storage areas of articles."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{articleId}/storage-areas":{"get":{"tags":["Lagerbereiche"],"operationId":"getArticleStorageAreas","parameters":[{"name":"articleId","in":"path","description":"ID of Article","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ArticleStorageArea"}}}}}}}}},"components":{"schemas":{"erp-product-ArticleStorageArea":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"integer","format":"int64","description":"Article whose storage areas are returned here."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"storageAreaId":{"type":"integer","format":"int64","description":"In which storage the article is stored."},"storageAreaLabel":{"type":"string","description":"Storage area label.","readOnly":true}},"required":["articleId","storageAreaId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## POST /erp/articles/{articleId}/storage-areas

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Lagerbereiche","description":"Storage areas of articles."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{articleId}/storage-areas":{"post":{"tags":["Lagerbereiche"],"operationId":"createArticleStorageArea","parameters":[{"name":"articleId","in":"path","description":"ID of Article","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleStorageArea"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleStorageArea"}}}}}}}},"components":{"schemas":{"erp-product-ArticleStorageArea":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"integer","format":"int64","description":"Article whose storage areas are returned here."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"storageAreaId":{"type":"integer","format":"int64","description":"In which storage the article is stored."},"storageAreaLabel":{"type":"string","description":"Storage area label.","readOnly":true}},"required":["articleId","storageAreaId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/lagerbereiche.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
